USLEEP(3)

NAME
usleep - suspend execution for microsecond intervals

SYNOPSIS
#include <unistd.h>

void usleep(unsigned long usec);
int usleep(unsigned long usec); /* SUSv2 */

DESCRIPTION
The usleep() function suspends execution of the calling process for usec microseconds. The sleep may be lengthened slightly by any system activity or by the time spent processing the call.

RETURN VALUE
None (BSD). Or: 0 on success, -1 on error (SUSv2).

ERRORS

EINTR
    Interrupted by a signal.

EINVAL
    usec is not smaller than 1000000. (On systems where that is considered an error.)

CONFORMING TO
BSD 4.3. The SUSv2 version returns int, and this is also the prototype used by glibc 2.2.2. Only the EINVAL error return is documented by SUSv2.

NOTES
The interaction of this function with SIGALRM and other timer functions such as sleep(), alarm(), setitimer(), nanosleep() is unspecified. This function is obsolete. Use nanosleep(2) or setitimer(2) instead.

SEE ALSO
alarm(2), getitimer(2), nanosleep(2), select(2), setitimer(2), sleep(3)